import http from '@/api'


export const startPreTest = (params) => {
    return http.post(`/prepare/startPreTest`, params, {loading: false})
}

export const closePreTest = (params) => {
    return http.post(`/prepare/closePreTest`, params,{ loading: false })
}

/**
 * 开始正式检测
 * @param params
 */
export const startTest = (params) => {
    return http.post(`/prepare/startTest`, params, {loading: false})
}

/**
 * 暂停正式检测
 * @param params
 */
export const pauseTest = () => {
    return http.get(`/prepare/closePreTest`, {loading: false})
}

/**
 * 继续正式检测
 * @param params
 */
export const resumeTest = (params) => {
    return http.post(`/prepare/restartTemTest/`, params, {loading: false})
}
